Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.core.query
Class OslcSearchTermsParser

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Parser
              org.eclipse.lyo.core.query.OslcSearchTermsParser

    public class OslcSearchTermsParser

extends org.antlr.runtime.Parser

Copyright (c) 2012 IBM Corporation. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 which accompanies this distribution. The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse Distribution License is available at http://www.eclipse.org/org/documents/edl-v10.php. Contributors: Steve Pitchke - initial API and implementation

Nested Class Summary
`static class` | `OslcSearchTermsParser.oslc_search_terms_return`
`static class` | `OslcSearchTermsParser.string_esc_return`

Field Summary
`protected org.antlr.runtime.tree.TreeAdaptor` | `adaptor`
`static int` | `COMMA`
`static int` | `ECHAR`
`static int` | `EOF`
`static int` | `EOL`
`static org.antlr.runtime.BitSet` | `FOLLOW_COMMA_in_oslc_search_terms71`
`static org.antlr.runtime.BitSet` | `FOLLOW_string_esc_in_oslc_search_terms67`
`static org.antlr.runtime.BitSet` | `FOLLOW_string_esc_in_oslc_search_terms73`
`static org.antlr.runtime.BitSet` | `FOLLOW_STRING_LITERAL_in_string_esc104`
`static int` | `STRING_LIST`
`static int` | `STRING_LITERAL`
`static String[]` | `tokenNames`
`static int` | `WS`

Fields inherited from class org.antlr.runtime.Parser
`input`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

Constructor Summary
`OslcSearchTermsParser(String searchTerms)`
`OslcSearchTermsParser(org.antlr.runtime.TokenStream input)`
`OslcSearchTermsParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`

Method Summary
`void` | `displayRecognitionError(String[] tokenNames, org.antlr.runtime.RecognitionException e)`
`List<String>` | `getErrors()`
`String` | `getGrammarFileName()`
`String[]` | `getTokenNames()`
`org.antlr.runtime.tree.TreeAdaptor` | `getTreeAdaptor()`
`OslcSearchTermsParser.oslc_search_terms_return` | `oslc_search_terms()`
`void` | `setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)`
`OslcSearchTermsParser.string_esc_return` | `string_esc()`

Methods inherited from class org.antlr.runtime.Parser
`getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer
`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, emitErrorMessage, endResync, failed, getBacktrackingLevel, getErrorHeader, getErrorMessage, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, reportError, setBacktrackingLevel, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tokenNames

    public static final String[] tokenNames

### STRING_LIST

    public static final int STRING_LIST

See Also:
  Constant Field Values

### STRING_LITERAL

    public static final int STRING_LITERAL

See Also:
  Constant Field Values

### EOL

    public static final int EOL

See Also:
  Constant Field Values

### WS

    public static final int WS

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### ECHAR

    public static final int ECHAR

See Also:
  Constant Field Values

### adaptor

    protected org.antlr.runtime.tree.TreeAdaptor adaptor

### FOLLOW_string_esc_in_oslc_search_terms67

    public static final org.antlr.runtime.BitSet FOLLOW_string_esc_in_oslc_search_terms67

### FOLLOW_COMMA_in_oslc_search_terms71

    public static final org.antlr.runtime.BitSet FOLLOW_COMMA_in_oslc_search_terms71

### FOLLOW_string_esc_in_oslc_search_terms73

    public static final org.antlr.runtime.BitSet FOLLOW_string_esc_in_oslc_search_terms73

### FOLLOW_STRING_LITERAL_in_string_esc104

    public static final org.antlr.runtime.BitSet FOLLOW_STRING_LITERAL_in_string_esc104

Constructor Detail

### OslcSearchTermsParser

    public OslcSearchTermsParser(org.antlr.runtime.TokenStream input)

### OslcSearchTermsParser

    public OslcSearchTermsParser(org.antlr.runtime.TokenStream input,
                                 org.antlr.runtime.RecognizerSharedState state)

### OslcSearchTermsParser

    public OslcSearchTermsParser(String searchTerms)

Method Detail

### setTreeAdaptor

    public void setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)

### getTreeAdaptor

    public org.antlr.runtime.tree.TreeAdaptor getTreeAdaptor()

### getTokenNames

    public String[] getTokenNames()

  Overrides:
    `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

### getGrammarFileName

    public String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### displayRecognitionError

    public void displayRecognitionError(String[] tokenNames,
                                        org.antlr.runtime.RecognitionException e)

  Overrides:
    `displayRecognitionError` in class `org.antlr.runtime.BaseRecognizer`

### getErrors

    public List<String> getErrors()

### oslc_search_terms

    public final OslcSearchTermsParser.oslc_search_terms_return oslc_search_terms()
                                                                           throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### string_esc

    public final OslcSearchTermsParser.string_esc_return string_esc()
                                                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.